---

#! /lkp/lkp/src/jobs/stress-ng-part1.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
testtime: 60s
stress-ng:
  test: cpu-online

# ---
job_origin: stress-ng-part1.yaml

#! queue options
queue_cmdline_keys: []
queue: vip
testbox: lkp-icl-2sp9
tbox_group: lkp-icl-2sp9
branch: tj-cgroup/for-next
commit: 2125c0034c5dfd61171b494bd309bb7637bff6eb
kconfig: x86_64-rhel-8.3
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp9/stress-ng-performance-100%-cpu-online-60s-debian-12-x86_64-20240206.cgz-2125c0034c5d-20240508-20896-xafrbk-4.yaml"
id: 9ee9b2362469efe1d85893396c3a917f58981d5b
queuer_version: "/lkp/xsang/.src-20240508-094300"

#! hosts/lkp-icl-2sp9
model: Ice Lake
nr_node: 2
nr_cpu: 64
memory: 256G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/wwn-0x50014ee2be2f4b3a-part*"
ssd_partitions:
- "/dev/disk/by-id/wwn-0x500a0751e5ff0a85-part1"
- "/dev/disk/by-id/wwn-0x500a0751e5ff0a85-part2"
- "/dev/disk/by-id/wwn-0x500a0751e5ff0a85-part3"
rootfs_partition: "/dev/disk/by-id/wwn-0x500a0751e5ff0a85-part4"
kernel_cmdline_hw: acpi_rsdp=0x698f6014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Gold 6346 CPU @ 3.10GHz

#! include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! include/category/ALL
cpufreq_governor: performance
sanity-check:

#! include/stress-ng

#! include/testbox/lkp-icl-2sp9
ucode: '0xd0003a5'
need_kconfig_hw:
- MEGARAID_NEWGEN: y
- MEGARAID_MM
- MEGARAID_MAILBOX
- MEGARAID_LEGACY
- MEGARAID_SAS
rootfs: debian-12-x86_64-20240206.cgz
enqueue_time: 2024-05-08 16:51:33.814326895 +08:00
compiler: gcc-13
_rt: "/result/stress-ng/performance-100%-cpu-online-60s/lkp-icl-2sp9/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/2125c0034c5dfd61171b494bd309bb7637bff6eb"
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-13/2125c0034c5dfd61171b494bd309bb7637bff6eb/vmlinuz-6.9.0-rc1-00003-g2125c0034c5d"
result_root: "/result/stress-ng/performance-100%-cpu-online-60s/lkp-icl-2sp9/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/2125c0034c5dfd61171b494bd309bb7637bff6eb/0"

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20240508-155411"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/performance-100%-cpu-online-60s/lkp-icl-2sp9/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-13/2125c0034c5dfd61171b494bd309bb7637bff6eb/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-13/2125c0034c5dfd61171b494bd309bb7637bff6eb/vmlinuz-6.9.0-rc1-00003-g2125c0034c5d
- branch=tj-cgroup/for-next
- job=/lkp/jobs/scheduled/lkp-icl-2sp9/stress-ng-performance-100%-cpu-online-60s-debian-12-x86_64-20240206.cgz-2125c0034c5d-20240508-20896-xafrbk-4.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=2125c0034c5dfd61171b494bd309bb7637bff6eb
- nmi_watchdog=0
- intremap=posted_msi
- acpi_rsdp=0x698f6014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-13/2125c0034c5dfd61171b494bd309bb7637bff6eb/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/stress-ng_20240412.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/stress-ng-x86_64-bd199a4b6-1_20240412.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240303.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-04b8076df253-1_20240303.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240508152030/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp9/stress-ng-performance-100%-cpu-online-60s-debian-12-x86_64-20240206.cgz-2125c0034c5d-20240508-20896-xafrbk-4.cgz"
dequeue_time: 2024-05-08 16:58:01.659696726 +08:00
last_kernel: 6.9.0-rc1
acpi_rsdp: '0x698f6014'
job_state: finished
loadavg: 37.81 13.78 4.94 1/768 5121
start_time: '1715159527'
end_time: '1715159593'
version: "/lkp/lkp/.src-20240508-155452:73048402dc6d:2105482d0554"
